<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Column.">
            <span class="description">Create a new Column.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_addRule" title="addRule ::Add a new AutoFilter Column Rule to the ruleset.">
            <span class="description">Add a new AutoFilter Column Rule to the ruleset.</span><pre>addRule</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_clearRules" title="clearRules ::Delete all AutoFilter Column Rules.">
            <span class="description">Delete all AutoFilter Column Rules.</span><pre>clearRules</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_createRule" title="createRule ::Create a new AutoFilter Column Rule in the ruleset.">
            <span class="description">Create a new AutoFilter Column Rule in the ruleset.</span><pre>createRule</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_deleteRule" title="deleteRule ::Delete a specified AutoFilter Column Rule
If the number of rules is reduced to 1, then we reset And/Or logic to Or.">
            <span class="description">Delete a specified AutoFilter Column Rule
If the number of rules is reduced to 1, then we reset And/Or logic to Or.</span><pre>deleteRule</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAttribute" title="getAttribute ::Get specific AutoFilter Column Attribute.">
            <span class="description">Get specific AutoFilter Column Attribute.</span><pre>getAttribute</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAttributes" title="getAttributes ::Get AutoFilter Column Attributes.">
            <span class="description">Get AutoFilter Column Attributes.</span><pre>getAttributes</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getColumnIndex" title="getColumnIndex ::Get AutoFilter column index as string eg: &#039;A&#039;.">
            <span class="description">Get AutoFilter column index as string eg: &#039;A&#039;.</span><pre>getColumnIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFilterType" title="getFilterType ::Get AutoFilter Type.">
            <span class="description">Get AutoFilter Type.</span><pre>getFilterType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getJoin" title="getJoin ::Get AutoFilter Multiple Rules And/Or Join.">
            <span class="description">Get AutoFilter Multiple Rules And/Or Join.</span><pre>getJoin</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getParent" title="getParent ::Get this Column&#039;s AutoFilter Parent.">
            <span class="description">Get this Column&#039;s AutoFilter Parent.</span><pre>getParent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getRule" title="getRule ::Get a specified AutoFilter Column Rule.">
            <span class="description">Get a specified AutoFilter Column Rule.</span><pre>getRule</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getRules" title="getRules ::Get all AutoFilter Column Rules.">
            <span class="description">Get all AutoFilter Column Rules.</span><pre>getRules</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAttribute" title="setAttribute ::Set An AutoFilter Attribute.">
            <span class="description">Set An AutoFilter Attribute.</span><pre>setAttribute</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAttributes" title="setAttributes ::Set AutoFilter Attributes.">
            <span class="description">Set AutoFilter Attributes.</span><pre>setAttributes</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setColumnIndex" title="setColumnIndex ::Set AutoFilter column index as string eg: &#039;A&#039;.">
            <span class="description">Set AutoFilter column index as string eg: &#039;A&#039;.</span><pre>setColumnIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFilterType" title="setFilterType ::Set AutoFilter Type.">
            <span class="description">Set AutoFilter Type.</span><pre>setFilterType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setJoin" title="setJoin ::Set AutoFilter Multiple Rules And/Or.">
            <span class="description">Set AutoFilter Multiple Rules And/Or.</span><pre>setJoin</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setParent" title="setParent ::Set this Column&#039;s AutoFilter Parent.">
            <span class="description">Set this Column&#039;s AutoFilter Parent.</span><pre>setParent</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_AUTOFILTER_COLUMN_JOIN_AND" title="AUTOFILTER_COLUMN_JOIN_AND ::">
                        <span class="description"></span><pre>AUTOFILTER_COLUMN_JOIN_AND</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_AUTOFILTER_COLUMN_JOIN_OR" title="AUTOFILTER_COLUMN_JOIN_OR ::">
                        <span class="description"></span><pre>AUTOFILTER_COLUMN_JOIN_OR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_AUTOFILTER_FILTERTYPE_CUSTOMFILTER" title="AUTOFILTER_FILTERTYPE_CUSTOMFILTER ::">
                        <span class="description"></span><pre>AUTOFILTER_FILTERTYPE_CUSTOMFILTER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_AUTOFILTER_FILTERTYPE_DYNAMICFILTER" title="AUTOFILTER_FILTERTYPE_DYNAMICFILTER ::">
                        <span class="description"></span><pre>AUTOFILTER_FILTERTYPE_DYNAMICFILTER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_AUTOFILTER_FILTERTYPE_FILTER" title="AUTOFILTER_FILTERTYPE_FILTER ::">
                        <span class="description"></span><pre>AUTOFILTER_FILTERTYPE_FILTER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_AUTOFILTER_FILTERTYPE_TOPTENFILTER" title="AUTOFILTER_FILTERTYPE_TOPTENFILTER ::">
                        <span class="description"></span><pre>AUTOFILTER_FILTERTYPE_TOPTENFILTER</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Column</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Column.</h2>
                            <pre>__construct(string $pColumn,\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter $pParent = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pColumn</h4>
                                                <code>string</code><p><p>Column (e.g. A)</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pParent</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter</code><p><p>Autofilter for this column</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_addRule"></a>
                        <div class="element clickable methodpublic method_addRule" data-toggle="collapse" data-target=".method_addRule .collapse">
                            <h2>Add a new AutoFilter Column Rule to the ruleset.</h2>
                            <pre>addRule(\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column\Rule $pRule): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pRule</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.Rule.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column\Rule</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_clearRules"></a>
                        <div class="element clickable methodpublic method_clearRules" data-toggle="collapse" data-target=".method_clearRules .collapse">
                            <h2>Delete all AutoFilter Column Rules.</h2>
                            <pre>clearRules(): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_createRule"></a>
                        <div class="element clickable methodpublic method_createRule" data-toggle="collapse" data-target=".method_createRule .collapse">
                            <h2>Create a new AutoFilter Column Rule in the ruleset.</h2>
                            <pre>createRule(): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column\Rule</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.Rule.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column\Rule</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_deleteRule"></a>
                        <div class="element clickable methodpublic method_deleteRule" data-toggle="collapse" data-target=".method_deleteRule .collapse">
                            <h2>Delete a specified AutoFilter Column Rule
If the number of rules is reduced to 1, then we reset And/Or logic to Or.</h2>
                            <pre>deleteRule(integer $pIndex): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pIndex</h4>
                                                <code>integer</code><p><p>Rule index in the ruleset array</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAttribute"></a>
                        <div class="element clickable methodpublic method_getAttribute" data-toggle="collapse" data-target=".method_getAttribute .collapse">
                            <h2>Get specific AutoFilter Column Attribute.</h2>
                            <pre>getAttribute(string $pName): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pName</h4>
                                                <code>string</code><p><p>Attribute Name</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAttributes"></a>
                        <div class="element clickable methodpublic method_getAttributes" data-toggle="collapse" data-target=".method_getAttributes .collapse">
                            <h2>Get AutoFilter Column Attributes.</h2>
                            <pre>getAttributes(): array&lt;mixed,string&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,string&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getColumnIndex"></a>
                        <div class="element clickable methodpublic method_getColumnIndex" data-toggle="collapse" data-target=".method_getColumnIndex .collapse">
                            <h2>Get AutoFilter column index as string eg: &#039;A&#039;.</h2>
                            <pre>getColumnIndex(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFilterType"></a>
                        <div class="element clickable methodpublic method_getFilterType" data-toggle="collapse" data-target=".method_getFilterType .collapse">
                            <h2>Get AutoFilter Type.</h2>
                            <pre>getFilterType(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getJoin"></a>
                        <div class="element clickable methodpublic method_getJoin" data-toggle="collapse" data-target=".method_getJoin .collapse">
                            <h2>Get AutoFilter Multiple Rules And/Or Join.</h2>
                            <pre>getJoin(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getParent"></a>
                        <div class="element clickable methodpublic method_getParent" data-toggle="collapse" data-target=".method_getParent .collapse">
                            <h2>Get this Column&#039;s AutoFilter Parent.</h2>
                            <pre>getParent(): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getRule"></a>
                        <div class="element clickable methodpublic method_getRule" data-toggle="collapse" data-target=".method_getRule .collapse">
                            <h2>Get a specified AutoFilter Column Rule.</h2>
                            <pre>getRule(integer $pIndex): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column\Rule</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pIndex</h4>
                                                <code>integer</code><p><p>Rule index in the ruleset array</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.Rule.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column\Rule</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getRules"></a>
                        <div class="element clickable methodpublic method_getRules" data-toggle="collapse" data-target=".method_getRules .collapse">
                            <h2>Get all AutoFilter Column Rules.</h2>
                            <pre>getRules(): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column\Rule&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.Rule.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column\Rule</a>&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAttribute"></a>
                        <div class="element clickable methodpublic method_setAttribute" data-toggle="collapse" data-target=".method_setAttribute .collapse">
                            <h2>Set An AutoFilter Attribute.</h2>
                            <pre>setAttribute(string $pName,string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pName</h4>
                                                <code>string</code><p><p>Attribute Name</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Attribute Value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAttributes"></a>
                        <div class="element clickable methodpublic method_setAttributes" data-toggle="collapse" data-target=".method_setAttributes .collapse">
                            <h2>Set AutoFilter Attributes.</h2>
                            <pre>setAttributes(array&lt;mixed,string&gt; $attributes): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$attributes</h4>
                                                <code>array&lt;mixed,string&gt;</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setColumnIndex"></a>
                        <div class="element clickable methodpublic method_setColumnIndex" data-toggle="collapse" data-target=".method_setColumnIndex .collapse">
                            <h2>Set AutoFilter column index as string eg: &#039;A&#039;.</h2>
                            <pre>setColumnIndex(string $pColumn): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pColumn</h4>
                                                <code>string</code><p><p>Column (e.g. A)</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFilterType"></a>
                        <div class="element clickable methodpublic method_setFilterType" data-toggle="collapse" data-target=".method_setFilterType .collapse">
                            <h2>Set AutoFilter Type.</h2>
                            <pre>setFilterType(string $pFilterType): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilterType</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setJoin"></a>
                        <div class="element clickable methodpublic method_setJoin" data-toggle="collapse" data-target=".method_setJoin .collapse">
                            <h2>Set AutoFilter Multiple Rules And/Or.</h2>
                            <pre>setJoin(string $pJoin): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pJoin</h4>
                                                <code>string</code><p><p>And/Or</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setParent"></a>
                        <div class="element clickable methodpublic method_setParent" data-toggle="collapse" data-target=".method_setParent .collapse">
                            <h2>Set this Column&#039;s AutoFilter Parent.</h2>
                            <pre>setParent(\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter $pParent = null): \PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pParent</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_AUTOFILTER_FILTERTYPE_FILTER"> </a>
                            <div class="element clickable constant constant_AUTOFILTER_FILTERTYPE_FILTER" data-toggle="collapse" data-target=".constant_AUTOFILTER_FILTERTYPE_FILTER .collapse">
                                <h2>AUTOFILTER_FILTERTYPE_FILTER</h2>
                                <pre>AUTOFILTER_FILTERTYPE_FILTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_AUTOFILTER_FILTERTYPE_CUSTOMFILTER"> </a>
                            <div class="element clickable constant constant_AUTOFILTER_FILTERTYPE_CUSTOMFILTER" data-toggle="collapse" data-target=".constant_AUTOFILTER_FILTERTYPE_CUSTOMFILTER .collapse">
                                <h2>AUTOFILTER_FILTERTYPE_CUSTOMFILTER</h2>
                                <pre>AUTOFILTER_FILTERTYPE_CUSTOMFILTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_AUTOFILTER_FILTERTYPE_DYNAMICFILTER"> </a>
                            <div class="element clickable constant constant_AUTOFILTER_FILTERTYPE_DYNAMICFILTER" data-toggle="collapse" data-target=".constant_AUTOFILTER_FILTERTYPE_DYNAMICFILTER .collapse">
                                <h2>AUTOFILTER_FILTERTYPE_DYNAMICFILTER</h2>
                                <pre>AUTOFILTER_FILTERTYPE_DYNAMICFILTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_AUTOFILTER_FILTERTYPE_TOPTENFILTER"> </a>
                            <div class="element clickable constant constant_AUTOFILTER_FILTERTYPE_TOPTENFILTER" data-toggle="collapse" data-target=".constant_AUTOFILTER_FILTERTYPE_TOPTENFILTER .collapse">
                                <h2>AUTOFILTER_FILTERTYPE_TOPTENFILTER</h2>
                                <pre>AUTOFILTER_FILTERTYPE_TOPTENFILTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_AUTOFILTER_COLUMN_JOIN_AND"> </a>
                            <div class="element clickable constant constant_AUTOFILTER_COLUMN_JOIN_AND" data-toggle="collapse" data-target=".constant_AUTOFILTER_COLUMN_JOIN_AND .collapse">
                                <h2>AUTOFILTER_COLUMN_JOIN_AND</h2>
                                <pre>AUTOFILTER_COLUMN_JOIN_AND</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_AUTOFILTER_COLUMN_JOIN_OR"> </a>
                            <div class="element clickable constant constant_AUTOFILTER_COLUMN_JOIN_OR" data-toggle="collapse" data-target=".constant_AUTOFILTER_COLUMN_JOIN_OR .collapse">
                                <h2>AUTOFILTER_COLUMN_JOIN_OR</h2>
                                <pre>AUTOFILTER_COLUMN_JOIN_OR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_filterTypes"> </a>
                            <div class="element clickable propertyprivate property_filterTypes" data-toggle="collapse" data-target=".property_filterTypes .collapse">
                                <h2>Types of autofilter rules.</h2>
                                <pre>filterTypes :array&lt;mixed,string&gt;</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_ruleJoins"> </a>
                            <div class="element clickable propertyprivate property_ruleJoins" data-toggle="collapse" data-target=".property_ruleJoins .collapse">
                                <h2>Join options for autofilter rules.</h2>
                                <pre>ruleJoins :array&lt;mixed,string&gt;</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parent"> </a>
                            <div class="element clickable propertyprivate property_parent" data-toggle="collapse" data-target=".property_parent .collapse">
                                <h2>Autofilter.</h2>
                                <pre>parent :\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter</code>                                    </div>
                                </div>
                            </div>                            <a id="property_columnIndex"> </a>
                            <div class="element clickable propertyprivate property_columnIndex" data-toggle="collapse" data-target=".property_columnIndex .collapse">
                                <h2>Autofilter Column Index.</h2>
                                <pre>columnIndex :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_filterType"> </a>
                            <div class="element clickable propertyprivate property_filterType" data-toggle="collapse" data-target=".property_filterType .collapse">
                                <h2>Autofilter Column Filter Type.</h2>
                                <pre>filterType :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_join"> </a>
                            <div class="element clickable propertyprivate property_join" data-toggle="collapse" data-target=".property_join .collapse">
                                <h2>Autofilter Multiple Rules And/Or.</h2>
                                <pre>join :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_ruleset"> </a>
                            <div class="element clickable propertyprivate property_ruleset" data-toggle="collapse" data-target=".property_ruleset .collapse">
                                <h2>Autofilter Column Rules.</h2>
                                <pre>ruleset :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>of Column\Rule</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_attributes"> </a>
                            <div class="element clickable propertyprivate property_attributes" data-toggle="collapse" data-target=".property_attributes .collapse">
                                <h2>Autofilter Column Dynamic Attributes.</h2>
                                <pre>attributes :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>of mixed</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Worksheet\AutoFilter\Column"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.html">AutoFilter</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">Column</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:52 +0000.<br/>
    </footer></body>
</html>
